---
title: Auto SSL
url: https://docs.vultr.com/products/network/load-balancer/configuration/networking/auto-ssl
description: A feature that automatically provisions and manages SSL certificates for Vultr Load Balancers to secure website traffic.
publish_date: 2024-09-23T20:20:58.724810Z
last_updated: 2026-05-26T19:55:48.962213Z
---

# How to Configure Auto SSL for Vultr Load Balancer

Configuring Auto SSL for Vultr Load Balancer enables automatic management of SSL certificates, enhancing the security of your load-balanced applications by ensuring encrypted connections. This feature simplifies the process of securing your domains by automatically issuing and renewing SSL certificates, protecting your data in transit and improving trust with your users.

Follow this guide to configure Auto SSL for your Vultr Load Balancer using the Vultr Console or API.

=== "Vultr Console"

    > [!NOTE]
    > Auto SSL can only be used with domains that are using Vultr's DNS. Please ensure the subdomain or domain is pointed to the Load Balancer.

    1. Navigate to **Products** and click **Load Balancers**.
    1. Click your target Load Balancer to open its management page.
    1. Scroll to **SSL**, click the pencil icon, and choose **Auto SSL**.
    1. Optional: Provide a **Subdomain** and select a **Domain**.
    1. Click **Save changes**.

=== "Vultr API"

    1. Send a `GET` request to the [**List Load Balancers** endpoint](https://www.vultr.com/api/#tag/load-balancer/operation/list-load-balancers) and note the target Load Balancer's ID.

        ```console
        $ curl "https://api.vultr.com/v2/load-balancers" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Load Balancer** endpoint](https://www.vultr.com/api/#tag/load-balancer/operation/update-load-balancer) and apply Auto SSL to the target Load Balancer.

        ```console
        $ curl "https://api.vultr.com/v2/load-balancers/{load-balancer-id}" \
            -X PATCH \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{      
                "auto_ssl": {                   
                    "domain_zone" : "{your_domain}",
                    "domain_sub" : "{subdomain}"
                }
            }'
        ```

    1. Send a `GET` request to the [**Get Load Balancer** endpoint](https://www.vultr.com/api/#tag/load-balancer/operation/get-load-balancer) to fetch the details of the target Load Balancer.

        ```console
        $ curl "https://api.vultr.com/v2/load-balancers/{load-balancer-id}" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```
